@Echo Control file to test Kermit-20 Terminal Parity Override.
@Echo Also does Tops-20 terminal parity checking, SET TRANSMIT
@Echo command checking and gives an example of using SET PROMPT.
!
INITIA:: @CHKPNT INITIA
@Info Job
@SMNT STAR:
@Access STAR:<SLOGIN>
@CD K20:
@Info Job
!
LCLT20:: @CHKPNT LCLT20
@Echo Stomp TTY.CMD defaults
@Terminal Ideal
@Terminal Network-Binary
@Terminal Parity
@Echo Set NO Control-C-Capability (Can't do this in a Batch Job)
@Info Terminal
!
LCLK20:: @CHKPNT LCLK20
@Echo Get and check Local Kermit
@Get K20:Kermit
@Info Ver
@Info Prog
@Start
*Log Session KT:K20TPO-Local-Session.LOG.-1
*Echo /Session Condition Local Kermit-20
*CWD KT:
*PWD
*Set Prompt "Local-Kermit-20>"
*Set Flow-Control None
*Show Line
*Set Input Default-Timeout 10
*Set Input Timeout-Action Quit 
*Echo /Sess If observing case, remote MUST observe case for INPUT/TRANSMIT parity testing
*Set Input Case Observe
*Set Input Search-Default "\r\n@"
*Show Input
!
!
REMT20:: @CHKPNT REMT20
!
*Echo /Session "Sign into remote and condition terminal"
*Connect pseudo-terminal /stay
*Input
*Echo /Session Example of new SET PROMPT functionality
*Set Prompt
*Echo /Session "Note, no password needed for same user id on a pseudo-terminal"
*Output "slogin\r"
*Input
*Echo /Session "Stomp TTY.CMD defaults"
*Output "Terminal Ideal\r"
*Input /Silent
*Echo /Session "Turn on Parity generating, but don't check it yet"
*Output "Terminal Network-Binary\r"
*Input /Silent
*Output "Terminal Parity\r"
*Input /Silent
!
*Echo /Session "Mount structure and connect to testing area"
*Output "SMNT K20:\r"
*Input
*Output "Access STAR:<SLOGIN>\r"
*Input
*Output "Connect KT:\r"
*Input /Silent
!
*Echo /Session "Set location and view system"
*Output "Where Kermit Loopback Testing [Batch]\r"
*Input /Silent
*Output "finger\r"
*Input /Silent
!
!
REMK20:: @CHKPNT REMK20
!
*Echo /Session "Start Kermit on remote job"
*Output "Set NO Control-C-Capability\r"
*Input /Silent
*Output "Get K20:Kermit\r"
*Input
*Output "Info Prog\r"
*Input
*Output "Info Ver\r"
*Input
*Output "Start\r"
*Set Input Search-Default "\r\nKermit-20>"
*Show Input
*Input
!
*Echo /Session "Configure remote Kermit and turn on parity"
*Output "Set Prompt Remote-Kermit-20>\r"
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Input /Silent
*Output "Log Session KT:K20TPO-Remote-Session.LOG.-1\r"
*Input /Silent
*Output "Set Flow-Control None\r"
*Input /Silent
*Output "Set Input Default-Timeout 10\r"
*Input /Silent
*Output "Set Input Case Observe\r"
*Input /Silent
*Show Input
*Output "Show Input\r"
*Input
*Echo /Session "Set checking parity, but not blowing up on it"
*Output "Set Parity Even /Terminal-and-Packets /Check-on-Receive /Proceed\r"
*Set Parity Even /Terminal-and-Packets /Check-on-Receive /Proceed
*Input
!
!
*Echo /Session "Five Tests of remote ECHO parity override to test parity checking"
!
!
NONE:: @CHKPNT NONE
*Show Line
*Output "Show Line\r"
*Input
*Echo /Session "Echoing with no parity means Tops-20 will put parity on everything"
*Output "Echo /Session /parity:None This is a parity test - None\r"
*Input "- None"
*Input
!
!
SPACE:: @CHKPNT SPACE
*Echo /Session "Echoing with space parity means roughly half the characters will be bad"
*Output "Echo /Session /parity:Space This is a parity test - Space\r"
*Input "- Space\r\n"
*Input "~\n"
*Input "20>"
!
!
MARK:: @CHKPNT MARK
*Echo /Session "Echoing with mark parity means the exact opposite characters will be bad"
*Output "Echo /Session /parity:Mark This is a parity test - Mark\r"
*Input "- Mark"
*Input "~a~k"
*Input "\r~"
*Input "20>"
!
!
EVEN:: @CHKPNT EVEN
*Echo /Session "Echoing with even parity means ALL characters will have good parity"
*Output "Echo /Session /parity:Even This is a parity test - Even\r"
*Input "- Even"
*Input
!
!
ODD:: @CHKPNT ODD
*Echo /Session "Echoing with odd parity means ALL characters will have BAD parity"
*Output "Echo /Session /parity:Odd This is a parity test - Odd\r"
*Input "- Odd"
*Input "\r\n~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
*Output "\r"
*Input /Silent
!
!
ABORT:: @CHKPNT ABORT
*Echo /Session "Echoing with space parity, forcing an abort"
*Set Parity /abort-on-detection
@NOERROR
*Echo /Session "Echoing with space parity, abort processing"
*Output "Echo /Session /parity:Space This is a parity abort test - Space\r"
*Input "- Space\r\n"
@ERROR
*Output "\r"
*Input /Silent
*Show Line
!
!
HASH:: @CHKPNT HASH
*Echo /Session "Echoing with mark parity, different substitute character"
*Set Parity /Proceed /substitute "#" /reset-error-count
*Output "Echo /Session /parity:Mark This is a parity test - Mark\r"
*Input "- Mark"
*Input "#a#k"
*Input "\r#"
*Output "\r"
*Input /Silent
!
*Show Line
*Output "Show Line\r"
*Input
!
!
!
SMLFIL:: @CHKPNT SMLFIL
!
*Echo /Session "Note: Input Case observance MUST MATCH if observing case"
*Output "Echo /Session Note: Input Case observance MUST MATCH if observing case\r"
*Input /Silent
*Output "Set Input Case Ignore\r"
*Set Input Case Ignore
*Input /Silent
*Echo Must reissue Search-Default AFTER Set Input Case for string to properly expand
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Show Input	
*Output "Show Input\r"
*Input /Silent
!
!
*Echo /Session "Allow a timesharing user to put junk into the stream"
*Output "Echo /Session Allow a timesharing user to put junk into the stream\r"
*Input /Silent
*Output "\c\c"
*Input /Silent "\@"
*Set Input Search-Default "\r\n@"
*Output "\r"
*Input /Silent
*Output "Receive Advice\r"
*Input /Silent
*Output "Receive Links\r"
*Input /Silent
*Output "Receive System-Messages\r"
*Input /Silent
*Output "Receive User-Messages\r"
*Input /Silent
*Output "Information Terminal\r"
*Input
*Output "Continue\r"
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Output "\r"
*Input /Silent
!
!
*Echo /Session "Reset parity counter and substitution character"
*Output "Echo /Session Reset parity counter and substitution character\r"
*Input /Silent
*Set Parity /Proceed /substitute ~ /reset-error-count
*Output "Set Parity /Proceed /substitute ~ /reset-error-count\r"
*Input /Silent
*Show Line
*Output "Show Line\r"
*Input
!
!
*Echo /Session "Transmit a small file, showing matching of remote prompt"
*Output "Echo /Session Transmit a small file showing matching or remote prompt\r"
*Input /Silent
*Output "Set Transmit Settings-Defaults Transmit\r"
*Input /Silent
*Output "Set Transmit Case Ignore\r"
*Input /Silent
*Output "Show Transmit\r"
*Input
!
!
*Echo /Session "Example of setting TRANSMIT settings seperately from INPUT"
*Set Transmit Settings-Defaults Transmit
*Set Transmit EOF 
*Set Transmit Maximum-Length 100
*Set Transmit Silent Off
*Set Transmit Timeout 15
*Set Transmit Case Ignore
*Set Transmit Default-Remote-Prompt "Otto>>"
*Set Transmit Pause .783
*Show Transmit
!
!
*Echo /Session "Set remote Kermit to Capture FIRST"
*Output Capture /Timeout 5 /EOF  KT:FILCOM.HLP;T "Otto>>"\r
*Input " instead\r\n"
*Echo /Session "Wait a bit and transmit the small file"
*Pause 1.5
*Transmit HLP:FILCOM.HLP
!
!
*Echo /Session "Skip the long file for the moment"
@GOTO DONREM
!
!
LRGFIL:: @CHKPNT LRGFIL
*Echo /Session "Allow a timesharing user to put junk into the stream again"
*Output "Echo /Session Allow a timesharing user to put junk into the stream again\r"
*Input /Silent
*Output "\c\c"
*Input /Silent "\@"
*Set Input Search-Default "\r\n@"
*Output "\r"
*Input /Silent
*Output "Receive Advice\r"
*Input /Silent
*Output "Receive Links\r"
*Input /Silent
*Output "Receive System-Messages\r"
*Input /Silent
*Output "Receive User-Messages\r"
*Input /Silent
*Output "Information Terminal\r"
*Input
*Output "Continue\r"
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Input /Silent
!
*Echo /Session "Transmit a large file with a single line of tilde's in it"
*Output "Echo /Session Transmit a large file with a single line of tilde's in it\r"
*Input /Silent
*Toggle
*Output Capture /Timeout 15 /EOF  KT:JSYS_REFERENCE.MEM;T "Otto>>"\r
!*Show Input
*Input /Silent 10 \"Otto>>\"\r\n
*Pause 1.7
*Input /Silent 25 "finish]\r\n"
*Pause 2
*Echo /Session Transmit file showing switch overrides
*Transmit /Maximum-Length /Silent /Pause 0 !/Pause 0.002! DOC:JSYS_REFERENCE.MEM
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Input
*Show Input
*Toggle
!
!
!
DONREM:: @CHKPNT DONREM
*Echo /Session "Done with remote tests, exit the remote Kermit"
*Output "Echo /Session Done with remote tests, exit the remote Kermit\r"
*Input
*Output "Show Line\r"
*Input
*Output "Close All\r"
*Input
!
*Set Input Default-Timeout 20
*Set Input Search-Default "\r\n@"
*Show Input
*Output "Quit\r"
*Input
!
!
FINREM:: @CHKPNT FINREM
!
*Echo /Session "Show proof pseudo-terminal was sending parity"
*Output "Info Terminal\R"
*Input
*Echo /Session "Show Remote Processor Time Used"
*Output "Info Fork/High\R"
*Input
*Echo /Session "Don't logout while connected to KT:, tosses temporary file"
*Output "PWD\r"
*Input
*Output "VD K20TPO*.LOG.0\r"
*Input
*Output "CD H:\r"
*Input /Silent
*Output "Info Job\r"
*Input
*Echo /Session "Log the remote job out"
*Output "Logout\R"
*Input "Used"
*Input "\r\n"
!
!
FINLCL:: @CHKPNT FINLCL
!
*Echo /Session "Finish up and close out the local Kermit"
*Clear /Display
*Show Line
*Close All
*Connect Close
*Set Prompt
*Echo /Session "No terminal fork to kill since never started one"
*Quit
@Info Fork/High
!
!
FILCOM:: @CHKPNT FILCOM
@Echo Have a look at the files
@Define F1: HLP:FILCOM.HLP.0
@Define F2:  KT:FILCOM.HLP.0
@Define F3: DOC:JSYS_REFERENCE.MEM.0
@Define F4:  KT:JSYS_REFERENCE.MEM.0
@VD F1:,F2:   !,F3:,F4:!   /checksum by-pages
@Set Trap File
@NEW:FILCOM
*TTY:=F1:,F2:
!*TTY:=F3:,F4:
=
!
!
PORKY:: @CHKPNT PORKY
@Echo Nothing to modify since current last batch Job
!
@Echo That's all, Folks!
